Veo 3.1 Fast
curl --request POST \
--url https://api.snapgen.org/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"seconds": "<string>",
"aspect_ratio": "<string>",
"image_urls": [
"<string>"
]
}
'import requests
url = "https://api.snapgen.org/v1/videos"
payload = {
"model": "<string>",
"prompt": "<string>",
"seconds": "<string>",
"aspect_ratio": "<string>",
"image_urls": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
seconds: '<string>',
aspect_ratio: '<string>',
image_urls: ['<string>']
})
};
fetch('https://api.snapgen.org/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Video Series
Veo 3.1 Fast
Generate an 8-second 1080p Veo 3.1 Fast video for $0.25.
POST
/
v1
/
videos
Veo 3.1 Fast
veo3-1-fast is the 1080p Fast route for fixed 8-second video with synchronized native audio.
| Property | Value |
|---|---|
| Model ID | veo3-1-fast |
| Duration | Fixed 8 seconds |
| Resolution | 1920x1080 or 1080x1920 |
| References | Optional, 1-2 public images |
| Price | $0.25 per request (25 credits) |
string
required
Set to
veo3-1-fast.string
required
Describe the shot and intended audio.
string
required
Set to
"8".string
default:"16:9"
Use
16:9 or 9:16.string[]
Optionally send one start frame or a start and end frame.
Request with start and end frames
curl https://api.snapgen.org/v1/videos \
-H "Authorization: Bearer $SNAPGEN_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "veo3-1-fast",
"prompt": "Move smoothly from the supplied opening frame to the closing frame",
"seconds": "8",
"aspect_ratio": "16:9",
"image_urls": [
"https://example.com/start.jpg",
"https://example.com/end.jpg"
]
}'
model=veo3-1-fast when polling and downloading.
With two images, the first URL is the start frame and the second is the end
frame. Use Fast Reference when you need up to three general references.
⌘I